import AuthLayout from '@/components/layouts/AuthLayout'

const constantRouter = [
  {
    path: '/redirect',
    component: () => import('@/views/dashboard/Index'),
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: () => import('@/views/redirect/index')
      }
    ]
  },
  {
    path: '/auth',
    component: AuthLayout,
    meta: { title: 'Login' },
    redirect: '/auth/login',
    hidden: true,
    children: [
      {
        path: 'login',
        name: 'login',
        meta: { title: 'Login' },
        component: () => import(/* webpackChunkName: "login" */ '@/views/auth/login.vue')
      }
    ]
  }
]

export default constantRouter
